#include <iostream>
#include <cstdlib>
#include <ctime>

using namespace std;

int main()
{
	unsigned long long curK = 0; //Number of digits in current repunit
	time_t timeElapsed = 0;
	time_t initTime = time(NULL);
	char** numbers = (char**)malloc(sizeof(char*)*1000000); //Holds repunit strings
	while(timeElapsed < 60) //Run for 60 seconds
	{	
		curK++; //Increment number of digits to generate
		char* curNum = (char*)malloc(curK); //Hold current number

		for(int i = 0; i < curK; i++)
		{
			curNum[i] = '1'; //Add in 1's
		}

		numbers[curK] = curNum;
		free(curNum); //Won't be able to access numbers, but must be done if 
					  //system memory is not to be a factor

		timeElapsed = time(NULL) - initTime;
	}

	cout << "Generated " << curK << " repunits in " << timeElapsed << " seconds" <<  endl;
	system("PAUSE");
	free(numbers);
	return 0;
}